Ruby runtime workload
in ELN Environment from Fedora ELN (backed by rawhide) for ppc64le



Size History
Additional info
Configuration
sst_cs_apps-ruby.yaml

Why Name Epoch:Version-Release Arch Size Summary
(dependency) alternatives 1.26-3.eln134 ppc64le 218.2 kB A tool to maintain symbolic links determining default commands
(dependency) audit-libs 4.0.1-1.eln136 ppc64le 611.2 kB Dynamic library for libaudit
(dependency) basesystem 11-20.eln134 noarch 0.0 B The skeleton package which defines a simple Fedora system
(dependency) bash 5.2.26-3.eln135 ppc64le 8.6 MB The GNU Bourne Again shell
(dependency) ca-certificates 2023.2.62_v7.0.401-6.eln134 noarch 2.3 MB The Mozilla CA root certificate bundle
(dependency) coreutils 9.5-1.eln136 ppc64le 21.7 MB A set of basic GNU tools commonly used in shell scripts
(dependency) coreutils-common 9.5-1.eln136 ppc64le 11.2 MB coreutils common optional components
(dependency) crypto-policies 20240304-1.gitb1c706d.eln136 noarch 84.1 kB System-wide crypto policies
(env) fedora-gpg-keys 41-0.1.eln136 noarch 125.0 kB Fedora RPM keys
(env) fedora-release-common 41-0.8.eln136 noarch 19.3 kB Fedora release files
(env) fedora-release-eln 41-0.8.eln136 noarch 0.0 B Base package for Fedora ELN specific default configurations
(env) fedora-release-identity-eln 41-0.8.eln136 noarch 1.4 kB Package providing the identity for Fedora ELN
(env) fedora-repos-eln 41-0.1.eln136 noarch 13.1 kB ELN repo definitions
(env) filesystem 3.18-9.eln136 ppc64le 106.0 B The basic directory layout for a Linux system
(dependency) glibc 2.39.9000-10.eln136 ppc64le 11.2 MB The GNU libc libraries
(dependency) glibc-common 2.39.9000-10.eln136 ppc64le 2.6 MB Common binaries and locale data for glibc
(dependency) glibc-minimal-langpack 2.39.9000-10.eln136 ppc64le 0.0 B Minimal language packs for glibc.
(dependency) gmp 1:6.3.0-1.eln136 ppc64le 850.3 kB GNU arbitrary precision library
(dependency) grep 3.11-7.eln134 ppc64le 1.2 MB Pattern matching utilities
(dependency) libacl 2.3.2-1.eln134 ppc64le 195.7 kB Dynamic library for access control list support
(dependency) libattr 2.5.2-3.eln134 ppc64le 196.2 kB Dynamic library for extended attribute support
(dependency) libcap 2.69-3.eln134 ppc64le 1.4 MB Library for getting and setting POSIX.1e capabilities
(dependency) libcap-ng 0.8.5-1.eln136 ppc64le 416.5 kB Alternate posix capabilities library
(dependency) libeconf 0.6.2-1.eln136 ppc64le 206.0 kB Enhanced config file parser library
(dependency) libffi 3.4.6-1.eln136 ppc64le 218.1 kB A portable foreign function interface library
(dependency) libgcc 14.0.1-0.15.eln136 ppc64le 349.3 kB GCC version 14 shared support library
(dependency) libpkgconf 2.1.0-1.eln135 ppc64le 198.0 kB Backend library for pkgconf
(dependency) libselinux 3.6-4.eln134 ppc64le 329.1 kB SELinux library and simple utilities
(dependency) libsepol 3.6-3.eln134 ppc64le 1.1 MB SELinux binary policy manipulation library
(dependency) libtasn1 4.19.0-6.eln134 ppc64le 347.4 kB The ASN.1 library used in GNUTLS
(dependency) libxcrypt 4.4.36-5.eln134 ppc64le 398.3 kB Extended crypt library for descrypt, md5crypt, bcrypt, and others
(dependency) libyaml 0.2.5-14.eln134 ppc64le 262.4 kB YAML 1.1 parser and emitter written in C
(dependency) ncurses-base 6.4-12.20240127.eln134 noarch 326.2 kB Descriptions of common terminals
(dependency) ncurses-libs 6.4-12.20240127.eln134 ppc64le 2.4 MB Ncurses libraries
(dependency) openssl-libs 1:3.2.1-6.eln136 ppc64le 8.6 MB A general purpose cryptography library with TLS implementation
(dependency) p11-kit 0.25.3-4.eln134 ppc64le 3.1 MB Library for loading and sharing PKCS#11 modules
(dependency) p11-kit-trust 0.25.3-4.eln134 ppc64le 655.4 kB System trust module from p11-kit
(dependency) pam-libs 1.6.1-1.eln136 ppc64le 606.5 kB Shared libraries of the PAM package
(dependency) pcre2 10.43-1.eln136 ppc64le 968.9 kB Perl-compatible regular expression library
(dependency) pcre2-syntax 10.43-1.eln136 noarch 249.0 kB Documentation for PCRE2 regular expressions
(dependency) pkgconf 2.1.0-1.eln135 ppc64le 238.3 kB Package compiler and linker metadata toolkit
(dependency) pkgconf-m4 2.1.0-1.eln135 noarch 13.9 kB m4 macros for pkgconf
(dependency) pkgconf-pkg-config 2.1.0-1.eln135 ppc64le 990.0 B pkgconf shim to provide /usr/bin/pkg-config
(required) ruby 3.3.0-5.eln136 ppc64le 269.4 kB An interpreter of object-oriented scripting language
(required) ruby-default-gems 3.3.0-5.eln136 noarch 76.6 kB Default gems which are part of Ruby StdLib
(required) ruby-devel 3.3.0-5.eln136 ppc64le 1.6 MB A Ruby development environment
(required) ruby-libs 3.3.0-5.eln136 ppc64le 29.2 MB Libraries necessary to run Ruby
(required) rubygem-bigdecimal 3.1.5-5.eln136 ppc64le 277.6 kB BigDecimal provides arbitrary-precision floating point decimal arithmetic
(required) rubygem-bundler 2.5.3-5.eln136 noarch 1.4 MB Library and utilities to manage a Ruby application's gem dependencies
(required) rubygem-io-console 0.7.1-5.eln136 ppc64le 197.0 kB IO/Console is a simple console utilizing library
(required) rubygem-irb 1.11.0-5.eln136 noarch 269.0 kB The Interactive Ruby
(required) rubygem-json 2.7.1-5.eln136 ppc64le 452.7 kB This is a JSON implementation as a Ruby extension in C
(required) rubygem-minitest 5.20.0-5.eln136 noarch 331.3 kB Minitest provides a complete suite of testing facilities
(required) rubygem-power_assert 2.0.3-5.eln136 noarch 31.5 kB Power Assert for Ruby
(required) rubygem-psych 5.1.2-5.eln136 ppc64le 295.7 kB A libyaml wrapper for Ruby
(required) rubygem-rake 13.1.0-5.eln136 noarch 257.1 kB Ruby based make-like utility
(required) rubygem-rbs 3.4.0-5.eln136 ppc64le 4.9 MB Type signature for Ruby
(required) rubygem-rdoc 6.6.2-5.eln136 noarch 1.8 MB A tool to generate HTML and command-line documentation for Ruby projects
(required) rubygem-rexml 3.2.6-5.eln136 noarch 443.3 kB An XML toolkit for Ruby
(required) rubygem-rss 0.3.0-5.eln136 noarch 262.8 kB Family of libraries that support various formats of XML "feeds"
(required) rubygem-test-unit 3.6.1-5.eln136 noarch 412.1 kB An xUnit family unit testing framework for Ruby
(required) rubygem-typeprof 0.21.9-5.eln136 noarch 335.3 kB TypeProf is a type analysis tool for Ruby code based on abstract interpretation
(required) rubygems 3.5.3-5.eln136 noarch 1.3 MB The Ruby standard for packaging ruby libraries
(required) rubygems-devel 3.5.3-5.eln136 noarch 12.5 kB Macros and development tools for packaging RubyGems
(dependency) sed 4.9-1.eln134 ppc64le 1001.3 kB A GNU stream text editor
(env) setup 2.14.5-2.eln134 noarch 720.4 kB A set of system configuration and setup files
(dependency) zlib-ng-compat 2.1.6-2.eln134 ppc64le 261.7 kB Zlib implementation provided by zlib-ng
Page refreshed at 15 April 2024 21:37 UTC.